use crate::doomdef::{SCREENHEIGHT, SCREENWIDTH};
use crate::doomtype;

pub const CENTERY: i32 = SCREENHEIGHT / 2;

// static var stuff
#[allow(non_upper_case_globals)]
static mut screens: [[u8; (SCREENWIDTH*SCREENHEIGHT) as usize]; 5] = [[0u8; (SCREENWIDTH*SCREENHEIGHT) as usize]; 5];


#[allow(non_snake_case)]
pub fn V_Init() {
    // Do nothing :)
    // the memory is already allocated
}

#[allow(non_snake_case)]
pub fn V_CopyRect(srcx: i32, srcy: i32, srcscrn: i32, width: i32, height: i32, destx: i32, desty: i32, destscrn: i32) {

}

/* 
TODO: Implement "r_data"
#[allow(non_snake_case)]
pub fn V_DrawPatch(x: i32, y: i32, scrn: i32, patch: Vec<patch_t>) {

}

#[allow(non_snake_case)]
pub fn V_DrawPatchDirect(x: i32, y: i32, scrn: i32, patch: Vec<patch_t>) {

}
*/

#[allow(non_snake_case)]
pub fn V_GetBlock(x: i32, y: i32, scrn: i32, width: i32, height: i32, dest: Vec<u8>) {

}

#[allow(non_snake_case)]
pub fn V_MarkRect(x: i32, y: i32, width: i32, height: i32) {

}
